Skip to main content
`Ctrl`+`K`

# PprintIncludeExclude

class astropy.table.PprintIncludeExclude(default=None)

  Bases: `TableAttribute`

  Maintain tuple that controls table column visibility for print output.

  This is a descriptor that inherits from MetaAttribute so that the attribute value is stored in the table meta[‘__attributes__’].

  This gets used for the `pprint_include_names` and `pprint_exclude_names` Table attributes.

  Methods Summary

  `__call__`() | Get the value of the attribute.
  `add`(names) | Add `names` to the include/exclude attribute.
  `remove`(names) | Remove `names` from the include/exclude attribute.
  `set`(names) | Set value of include/exclude attribute to `names`.

  Methods Documentation

  __call__()

    Get the value of the attribute.

    Returns:
      names `python:None`, `python:tuple`

        Include/exclude names

  add(names)

    Add `names` to the include/exclude attribute.

    Parameters:
      names `python:str`, `python:list`, `python:tuple`

        Column name(s) to add

  remove(names)

    Remove `names` from the include/exclude attribute.

    Parameters:
      names `python:str`, `python:list`, `python:tuple`

        Column name(s) to remove

  set(names)

    Set value of include/exclude attribute to `names`.

    Parameters:
      names `python:None`, `python:str`, `python:list`, `python:tuple`

        Column name(s) to store, or None to clear